//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TOpenDialog *OpenDialog1;
	TPrinterSetupDialog *PrinterSetupDialog1;
	TButton *ButtonProcurar;
	TMemo *Memo1;
	TEdit *EditPrimeiraFatia;
	TButton *ButtonImprimir;
	TEdit *EditUltimaFatia;
	TButton *ButtonImpressora;
	TButton *ButtonCancelar;
	TTimer *Timer1;
	TLabel *Label1;
	TButton *ButtonPausar;
	TProgressBar *ProgressBar1;
	TRadioButton *RadioButton1;
	TRadioButton *RadioButton2;
	TEdit *EditIncremento;
	TLabel *Label2;
	TEdit *Edit2;
	TEdit *EditDelay;
	TButton *ButtonRotacionaX;
	TButton *ButtonRotacionaY;
	TButton *ButtonRotacionaZ;
	TButton *ButtonEscalaX;
	TButton *ButtonEscalaY;
	TButton *ButtonEscalaZ;
	TEdit *EditRotacionaX;
	TEdit *EditRotacionaY;
	TEdit *EditRotacionaZ;
	TEdit *EditEscalaX;
	TEdit *EditEscalaY;
	TEdit *EditEscalaZ;
	TLabel *Label3;
	TButton *ButtonIncFatia;
	TButton *ButtonDecFatia;
	TEdit *EditProximaFatia;
	TLabel *LabelPrimeiraFatia;
	TLabel *LabelProximaFatia;
	TLabel *LabelUltimaFatia;
	TImage *Image1;
	TLabel *Label4;
	TColorDialog *ColorDialog;
	TPanel *PanelCor;
	TScrollBox *ScrollBox1;
	TComboBox *ComboBoxZoom;
	TLabel *Label5;
	TCheckBox *CheckBoxImprimir;
	TEdit *EditOffsetX;
	TEdit *EditOffsetY;
	TLabel *Label6;
	TLabel *Label7;
	TPanel *PanelGL;
	TButton *Button1;
	void __fastcall ButtonProcurarClick(TObject *Sender);
	void __fastcall ButtonImprimirClick(TObject *Sender);
	void __fastcall ButtonImpressoraClick(TObject *Sender);
	void __fastcall ButtonCancelarClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall ButtonPausarClick(TObject *Sender);
	void __fastcall ProgressBar1MouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall EditIncrementoChange(TObject *Sender);
	void __fastcall EditIncrementoExit(TObject *Sender);
	void __fastcall EditIncrementoEnter(TObject *Sender);
	void __fastcall EditDelayExit(TObject *Sender);
	void __fastcall EscalaRotaciona(TObject *Sender);
	void __fastcall FiltroTeclas(TObject *Sender, char &Key);
	void __fastcall ButtonIncFatiaClick(TObject *Sender);
	void __fastcall ButtonDecFatiaClick(TObject *Sender);
	void __fastcall FiltroTeclasPositivas(TObject *Sender, char &Key);
	void __fastcall PanelCorClick(TObject *Sender);
	void __fastcall MudarZoom(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall OffsetChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
		 __fastcall TForm1(TComponent* Owner);
	int  __fastcall Carrega_STL_Para_Memoria();
	void __fastcall Imprime_Cabecalho_Triangulos();
	void __fastcall Pega_ABS();
	void __fastcall Esta_Entre();
	void __fastcall Pega_ABS_Fatia();
	void __fastcall Ordena_SLF();
	void __fastcall DesabilitaAbilita(int modo);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
